Bug 528569 - ardour: update request to version 2.8.3
Summary: ardour: update request to version 2.8.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ardour
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL: http://ardour.org/
Whiteboard:
Depends On: 527109
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-12 20:44 UTC by Fernando Lopez-Lezcano
Modified: 2009-12-11 18:25 UTC (History)
4 users (show)

Fixed In Version: 2.8.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 18:23:04 UTC


Attachments (Terms of Use)

Description Fernando Lopez-Lezcano 2009-10-12 20:44:29 UTC
Description of problem:

Upgrade request (2.8.3 just released), it would be good if this is upgraded for
fc10+:

Paul Davis wrote:

"This is primarily a mantainance released, but
does include at least 3 major new pieces of functionality. It also
includes a suprisingly large number of bug fixes for things varying
from clean builds with the latest compiler releases to minor GUI
tweaks and the occasional crashing bug. As usual please visit
http://ardour.org/download to download the source or OS X builds.

BUILD NEWS
Ardour 2.8.3 no longer includes (a modified version of) libsndfile,
but relies on the system installed version. You need at least version
1.0.18, and you should ensure that it was built with FLAC and
Ogg/Vorbis support if you want Ardour to be able to use these formats.
The simplest test of this is to run sndfile-info(1) on a FLAC and
Ogg/Vorbis sample file and ensure that it can read the contents."

So this will have ramifications for libsndfile < 1.0.18, that should be upgraded as well in Fedora.  

Very very long list of fixes not included, see the announcement:

http://ardour.org/node/3046

Comment 1 Fedora Update System 2009-11-13 08:43:41 UTC
ardour-2.8.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ardour-2.8.3-1.fc12

Comment 2 Orcan Ogetbil 2009-11-13 08:47:28 UTC
I sent this to F-12 updates-testing. Since this update didn't ever get tested in Fedora, I will keep it in testing until about 2 weeks after the F-12 release.

On F-10 and F-11, we are still waiting for the libsndfile update

Comment 3 Lamar Owen 2009-11-17 17:49:36 UTC
Ardour 2.8.4 is now released; please consider updating to it rather than 2.8.3.

Note also that SYSLIBS=1 isn't required anymore to get the included libraries to build.  Have tested build on F11 with newer libsndfile (from F12) and the 2.8.2 spec from F12 and the build completes and the resulting ardour runs.

Comment 4 Orcan Ogetbil 2009-11-17 18:14:57 UTC
2.8.4 is already built in F-12 and F-13 :)
I don't know why bodhi didn't report it here automatically.

Comment 5 Fedora Update System 2009-12-03 05:02:51 UTC
ardour-2.8.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-12-04 15:41:31 UTC
ardour-2.8.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ardour-2.8.4-1.fc11

Comment 7 Fedora Update System 2009-12-04 15:42:12 UTC
ardour-2.8.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ardour-2.8.4-1.fc10

Comment 8 Fedora Update System 2009-12-07 07:24:14 UTC
ardour-2.8.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ardour'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-12762

Comment 9 Fedora Update System 2009-12-07 07:25:33 UTC
ardour-2.8.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ardour'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12772

Comment 10 Fedora Update System 2009-12-11 18:22:58 UTC
ardour-2.8.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-12-11 18:25:43 UTC
ardour-2.8.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.